Introduction

Nanotube Modeler 1.7.3

© JCrystalSoft, 2005-2012

Nanotube Modeler is a program for generating XYZ-coordinates for Nanotubes and Nanocones. The generated geometries may be viewed using the integrated viewer or by calling a viewer program of your choice. This program is based on the JNanotubeApplet by Steffen Weber but has improved and extended features. The atom coordinates are created using purely geometrical criteria; no energy calculations are performed.

  1. Menubar
  2. Toolbar
  3. Controlpanel
  4. Statusbar (Click with Left/Right Mousebutton for several functions)
  5. Display area (rotate/zoom structure by dragging; see Mouse-Usage)

The nanotube and nanocone geometries are created by rolling a flat graphene sheet into a tube of custom length or into a cone of custom height. Several special geometries are supported, such as capped (9,0) or (5,5) nanotubes and a hexagonal nanotube array (bundle). Multiwalled nanotubes (MWNT) can also be shown with stacked (protruding) tubes. A solid cylinder (shaded or flat) can be inserted into a straight tube in order to hide the back wall of the tube if one wishes to do so. Otherwise the image may appear too busy. In similar fashion a ball can be inserted into the Bucky-ball. The text fields on the control panel show additional tooltip texts when the mouse cursor is hovering over them. Several options, such as colors or paths to external viewer programs can be set in the preference dialog under the menu [Tools].

Main Features

Interactive graphics (rotate structure by mouse drag)
Create Nanotubes, Nanocones, and Buckyballs

  • Create capped (9,0), (5,5), (6,6), (10,0) and (10,10) tubes
  • Apply tube distortions (stretch, twist etc.)
  • Create single- or multi-walled nanotubes (SWNT, MWNT)
  • Export PDF, JPG, BMP, MOL, XMOL, MLM, PDB, CIF, VRML and POV files
  • Copy XYZ coordinates to clipboard or save them to file
  • Import of XY-Sheet coordinate files (can be rolled into tube)
  • Display of Drexler-Merkle molecular machines from IMM
  • XY-Sheet generation tool (image search / manual assembly)
  • Nanotube Hetero-Junctions (using CoNTub plug-in)
  • Import of Xmol data files (distortions applicable to nanotube data)
  • Create tubes by length in [A] or by number of translational units
  • Create quasiperiodic Nano-Hole Arrays
  • Create icosahedral Virus Geometries

Toolbar Functions

  1. Save XYZ coordinates as *.txt file
  2. Copy XYZ coordinates to clipboard
  3. Recalculate Geometry (also Enter-key)
  4. Auto-Rotate about horizontal screen axis (Right-mouse-button-click for 90 deg advance)
  5. Auto-Rotate about vertical screen axis (Right-mouse-button-click for 90 deg advance)
  6. Auto-Rotate about screen-normal axis (Right-mouse-button-click for 90 deg advance)
  7. Reset Zoom and Orientation
  8. Hide/Show Controlpanel
  9. Toggle Perspective / Orthonormal Projection
  10. Stereo Modes (stereo-pairs, anaglyphs)
  11. Toggle Shading for inserted cylinder/ball (for Tube and Bucky-ball)
  12. Toggle Atom visibility On/Off
  13. Set Atom radius factor (also click at status bar panel 2 Left/Right)
  14. Toggle Bond visibility On/Off
  15. Set Bond width factor (also click at status bar panel 4 Left/Right)

Key-Shortcuts

  • Enter Key: Recalculate Geometry
  • Up / Down Arrow-Key: Rotate about horizontal screen axis
  • Left / Right Arrow-Key: Rotate about vertical screen axis
  • Shift + Arrow-Key: Rotate about screen-normal axis
  • Ctrl + Arrow-Key: 90 deg advance about above mentioned axes
  • Plus / Minus-Key: Zoom In / Zoom Out
  • Space Key: Reset zoom and orientation

Mouse-Usage

  • Double-Click on display area: Reset zoom and orientation
  • Left Mouse-Button-Drag: Rotate about horizontal and vertical screen axes
  • Right Mouse-Button-Drag on left side of display area: Rotate about screen-normal axis
  • Right Mouse-Button-Drag on right side of display area: Zoom In / Out

Free Version vs. Registered Version

The free downloadable version of Nanotube Modeler is fully functional except for the above mentioned export functions, as well as Save and Copy of XYZ-coordinates. The image and file export functions can be enabled by obtaining a registration password, which will be emailed to you. Please go to the order page for a registration (www.jcrystal.com/moneyorder.html). After receiving the password you may enter it using the menu [Help][Register...].

Using the Fullerene Library

A few years ago Dr. Mitsuho Yoshida in Japan created an extensive library of data sets for Fullerene geometries (>2400 files). This Fullerene Library is freely downloadable from his web page at www.cochem2.tutkie.tut.ac.jp/Fuller/Fuller.html . However those files are in UNIX format and not directly readable on a PC. A reformatted archive was created by Steffen Weber in 1999, (see www.jcrystal.com/steffenweber/gallery/Fullerenes/Fullerenes.html). Nanotube Modeler can read and display these files, but they are not part of the installation package and have to be downloaded separately. A self-extracting archive can be downloaded from the Nanotube Modeler web page. Save the file FullereneLibrary.exe (4.5 MByte) into the C:\Program Files\Nanotube\DATA\ folder and execute it for the file expansion. After that you may delete the downloaded archive file.

Please note that although M.Yoshida did not post any copyright note on his web page he may choose to do so in future. JCrystalSoft disclaims any responsibility arising from downloading and using M.Yoshida's data files.

Windows XP Look

If you are running Nanotube Modeler on Windows XP and you notice that the Window is not being redrawn correctly then you may use the preference dialog to switch off the Windows XP look. This problem sometimes occurs depending on your graphics card and is due to an interference of the OpenGL display area with the Window refresh.

External Viewers

Although the integrated renderer should fulfill most needs you may specify several external programs for the display. Here are some suggestions for external renderers: GLView for VRML files, Mercury, Rasmol or WebLabViewerLite for MOL, PDB and CIF files. All these programs can be downloaded from the Internet for free. Please note that MOL files can only contain up to 999 atoms and that some CIF viewers create artifacts, because they try to create a periodic atom arrangement from the input data. If you would like to create photo-realistic raytraced images you may download and install the free raytracer POVRAY. Then you may select the menu item [Tools][Launch POV-Ray] to launch POVRAY. Below an example of a ray-traced Bucky-ball is shown.

Stereo Views

Four different stereo modes are available. These are two stereo pair modes (relaxed eye/cross-eye) and two anaglyph modes (color/greyscale) for which you need some red/blue stereo glasses (Left: red, Right: blue). An example of a greyscale anaglyph is shown below. Due to JPG compression some artifacts are visible. That is why you should save such images as BMP files, which are not compressed. Among anaglyphs the best 3D-effect is obtained by greyscale anaglyphs because the color channels of the image are split into the two colors which correspond to the stereo glasses. A color-anaglyph retains some of the original color information at the expense of a lower 3D-effect.

XY-Generator Tool

Click here to learn more ...

Nanotube Hetero-Junctions

For the generation of xyz-coordinates for hetero-junctions the CoNTub plug-in (Java Applet) by Melchor/Dobado is used. This can be launched from the menu [Special][Hetero-Junction]. A Java Runtime must be present on your PC in order to run this plug-in. A file named contub.xyz will be created in the "..\NanoTube\lib\" subfolder. Access to this data file is not restricted to registered users.

Capped Nanotubes

Nanotube Modeler can create capped (9,0), (5,5), (6,6), (10,0) and (10,10) tubes. Only the (9,0) and (5,5) tubes can be capped by bucky ball halves. If the generated capped tube should not look right, please change the input for the tube length by about 1 Angstrom and select the capped tube menu item again.

Tube Length Input

Nanotubes are generated by custom length in Angstrom for B-N, and C-C tubes. If you use the General Preferences setup to select the option of generating the tubes by the number of translational units, only C-C tubes can be generated.

References

  • Nanotube Modeler home at www.jcrystal.com/products/wincnt/
  • JNanotubeApplet at www.jcrystal.com/steffenweber/JAVA/jnano/jnano.html
  • M. Yoshida's web page at www.cochem2.tutkie.tut.ac.jp/Fuller/Fuller.html
  • Molecular machines in PDB format at http://www.imm.org/Parts/
  • CoNTub: an algorithm for connecting two arbitrary carbon nanotubes, S. Melchor; J.A. Dobado Journal of Chemical Information and Computer Sciences, 44, 1639-1646 (2004). ( http://www.ugr.es/local/gmdm/java/contub/contub.html )


XY-Generator Tool

This tool is for creating XY-sheet coordinate sets by extracting them from an image or by manually assembling an atom array. In both cases individual atoms may be removed or added by simply clicking at the desired location. The tool window can be launched from the menu [Tools][XY-Sheet Generator]. After saving an XY coordinate set you may load the created data file from the main window menu [File][Import XY Data]. The XY coordinates are saved in pixel units, since they were created in the screen coordinate system. When loading an XY file into the mainwindow the coordinates will be reinterpreted and scaled according to the input value for the bond-length in the main window.

1. Extracting XY-Coordinates From An Image

The image used here is located in the subfolder "\lib" (sample_XYimport.gif)

  1. Clear XY data or select atom array
  2. Open image file (GIF, JPG, BMP)
  3. Approximate radius of atoms in image [pixel]
  4. Execute Hough Transform for atom search
  5. Redraw current XY-data
  6. Save XY-data as a (*.xy) file
  7. Click display area for Add/Remove atoms

After executing the Hough transform search most of the atoms should be found. If not, modify the value for the atom radius and run the search again. If atoms are still missing you may add them by clicking at the desired location. In the case that too many or overlapping atoms were found you may remove the wrong ones by clicking at them with the Right-Mouse-Button.

2. Manually Assembling XY-Coordinates

First click the "New" button, in order to select the type of atom array you want to create.

  1. Use the sheet data from the tube/cone currently displayed in the main window
  2. Create a honey-comb array
  3. Create a square array

Here a graphene sheet of approximately 20 x 20 A was created. Individual atoms have been removed. It is also possible to drag atoms around but the atom collision movement still needs improvement.


Nano-Hole Arrays

Nano-Hole Array Generator

Nanohole arrays in metal screens have been used as lenses for focussing light. This tool creates XY-coordinate sets from the vertices of quasiperiodic tilings. The Dual-Method is applied to multi-grids, in order to generate quasiperiodic tilings, whose vertices are used as xy positions for possible nano-hole arrays.

1. User Interface

Click Button #5 for calculating new tilings. In case of gaps in the tiling increase the slider value for the "Loop Order", in order to generate more tiles / vertices.

  1. View quasiperiodic tiling (click at image is same as #5)
  2. View hole array image
  3. View XY Table
  4. View Fourier Transform (click [-][+] to adjust brightness)
  5. Recalculate new tiling
  6. Save XY coordinate file
  7. Copy image to clipboard
  8. Show helpfile

References

  • http://www.nanophotonics.org.uk/niz/publications/huang-2008-nal.pdf
  • http://www.nanophotonics.org.uk/niz/publications/huang-2007-fln.pdf


Virus Geometries

Icosahedral Virus Geometries

Select menu [Tools][Virus Geometries] to open the generator window.

The theory is explained at
http://viperdb.scripps.edu/icos_server.php?icspage=paradigm

A Java Applet that displays models that were generated by NanotubeModeler is also available at
http://www.jcrystal.com/steffenweber/JAVA/jvirus/index.htm


What's new

Version 1.7.1 (07/25/2011)

An external text file (wincnt.dat) was added, in which the default atom pairs and default bond lengths can be specified. Up to 10 atom pairs can be listed, so that newer atom combinations, such as AlP and GaP can be added. The routines for the generation of the xyz coordinates will be the same for all atom pairs. This mainly affects the export options, so that the proper atom labels will be listed in the output files.

Version 1.7.3 (01/23/2012)

Bug fix for 'copy image' and 'save PDF' on Windows 7. Furthermore a Windows 7 compatible user folder will be created for the subfolders where files are to be saved, since Windows 7 sometimes does not let you save files under 'Program Files', depending on your 'User Account Control Settings'.

If you think there are any formatting errors in the output files please contact us at jcrystalsoft@gmail.com